Bug 535531 - (RHQ-2216) provide informative error message when updating user account
provide informative error message when updating user account
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 15:43 EDT by Joseph Marques
Modified: 2015-02-01 18:25 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:56:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (78.89 KB, image/png)
2010-11-30 08:24 EST, Sunil Kondkar
no flags Details

  None (edit)
Description Joseph Marques 2009-07-06 15:43:00 EDT
when you try to disable the default superuser account today you get an error message like "did not have sufficient permissions"

f it's always going to fail (ie can't disable superuser account), then ideally that option would be greyed out or not available (like the delete option for that user is not available).  at the very least, the error message should clearly describe what went wrong, instead of the cryptic message that shows up today.
Comment 1 Charles Crouch 2009-09-01 12:04:20 EDT
Move features/improvements to 1.4
Comment 2 Red Hat Bugzilla 2009-11-10 16:00:08 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2216
Comment 3 wes hayutin 2010-02-16 12:08:31 EST
mass add of key word FutureFeature to help track
Comment 4 Corey Welton 2010-11-22 14:48:17 EST
 ips - was this fixed already?
Comment 5 Ian Springer 2010-11-23 17:13:43 EST
Yes, in master (4.0.0-SNAPSHOT), the Active/Enabled field is disabled when editing rhqadmin.
Comment 6 Sunil Kondkar 2010-11-30 08:22:14 EST
Verified on rhq-server-4.0.0-SNAPSHOT build#725.

The field 'Login Enabled?' with 'Yes' and 'No' options is disabled when tried to edit user rhqadmin. Please refer the attached screenshot.
Comment 7 Sunil Kondkar 2010-11-30 08:24:52 EST
Created attachment 463725 [details]
Screenshot
Comment 10 Heiko W. Rupp 2013-09-03 12:56:23 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.